const API_BASE = 'https://xinghuolanqiu.com/newApi'

module.exports = {
	//  微信授权登录
	wxLogin: API_BASE + '/v2/student/login/wxLogin',
	//  账号密码登录
	loginByPassword: API_BASE + '/v2/student/login/login',
	//  根据经纬度获取位置
	getAddressInfo: API_BASE + '/v2/location/pointToAddress',
	
	
	//  获取首页轮播图列表
	getIndexSwiperList: API_BASE + '/v2/home/getRollAdvertisingHomeList',
	//  获取首页场馆列表
	getVenueList: API_BASE + '/v2/home/getVenueNearbyList',
	//  获取场馆详情
	getVenueDetail: API_BASE + '/v2/home/getVenueDetailById',
	//  获取班级详情
	getClassDetail: API_BASE + '/v2/home/getClassDetailById',
	//  获取首页精彩瞬间列表
	getVideoList: API_BASE + '/v2/home/getCourseShowNearbyList',
	
	
	//  获取可报名学员列表
	getEnlistAbleStudent: API_BASE + '/v2/class/selectApplyList',
	//  获取会员服务班级详情
	getMemberClassDetail: API_BASE + '/v2/class/getDetail',
	//  获取我的班级全部请假列表
	getAllLeaveList: API_BASE + '/v2/class/getAllLeaveList',
	//  学员报名
	enlistStudent: API_BASE + '/v2/class/apply',
	//  获取可预约学员列表
	getSubscribeAbleList: API_BASE + '/v2/class/selectStudent',
	//  学员预约
	subscribeStudent: API_BASE + '/v2/class/appointment',
	//  提交新增学员表单
	submitStudentForm: API_BASE + '/v2/student/info/add',
	//  提交学员预约表单
	submitSubscribelForm: API_BASE + '/v2/class/appointment',
	//  提交请假表单
	submitLevelForm: API_BASE + '/v2/class/leaveSubmit',
	//  提交评价表单
	submitEvaluateForm: API_BASE + '/v2/class/estimateSubmit',
	//  提交成长历程
	submitGrowForm: API_BASE + '/v2/class/addGrow',
	
	
	//  获取我的账户
	getMemberInfo: API_BASE + '/v2/student/myCenter/getMemberInfo',
	//  获取我的课程列表
	getMyClassList: API_BASE + '/v2/class/getList',
	//  获取我的请假列表
	getLeaveList: API_BASE + '/v2/class/getLeaveList',
	//  获取我的订单列表
	getOrderList: API_BASE + '/v2/student/myCenter/getOrderByState',
	//  获取我的学员列表
	getStudentList: API_BASE + '/v2/student/myCenter/selectStudent',
	//  获取我的优惠券列表
	getCouponList: API_BASE + '/v2/student/myCenter/getCouponList',
	//  获取分享有礼二维码
	getShareUrl: API_BASE + '/v2/student/myCenter/share',
	//  获取我的评价列表
	getEvaluateList: API_BASE + '/v2/student/myCenter/getClassEvaluateList',
	//  获取我的预约体验列表
	getSubscribeList: API_BASE + '/v2/student/myCenter/getSubscribeClassEvaluateList',
	
	
	//  获取可购买会员卡列表
	getMemberCardList: API_BASE + '/v2/student/myCenter/getMemberList',
	//  获取可购买会员卡信息
	getMemberCardInfo: API_BASE + '/v2/student/myCenter/getMemberDetail',
	//  获取可用优惠券列表
	getUsableCouponList: API_BASE + '/v2/student/myCenter/getOwnCouponList',
	//  获取可购买会员卡选择优惠券后信息
	getMemberCardInfoAfterCoupon: API_BASE + '/v2/student/myCenter/getMemberDetailAfterCoupon',
	//  获取可购买会员卡学员列表
	getAllStudentList: API_BASE + '/v2/student/myCenter/selectAllStudent',
	//  获取合同模板
	getContractInfo: API_BASE + '/v2/student/contract/download',
	//  提交签字合同表单
	submitContractForm: API_BASE + '/v2/student/contract/submit',
	//  获取支付回调数据
	getPayParams: API_BASE + '/v2/student/myCenter/getWxPayParams',
	//  获取支付结果
	getPayResult: API_BASE + '/v2/student/myCenter/getPayResult',
	
	
	//  获取服务器端图片
	getServerImg: API_BASE + '/download/icon/',
	//  上传地址
	uploadFile: API_BASE + '/v2/common/file/uploadOne',
}
